<template>
  <q-btn
    unelevated
    size="md"
    icon="mdi-message-outline"
    class="q-mr-lg"
    @click="$router.push('messages')"
  >
    <q-badge color="primary" floating>
      {{ notificationCount }}
    </q-badge>
  </q-btn>
</template>

<script>
// import { DUMMY_NOTIFICATIONS } from '../statics'
import { defineComponent, ref, computed } from "vue";

export default defineComponent({
  name: "MessagesMenu",
  setup() {
    // const notifications = ref(DUMMY_NOTIFICATIONS)
    // const notificationCount = computed(() => {
    // 	const unReadNotifications = notifications.value.filter((item) => !item.isRead)
    // 	return unReadNotifications.length
    // })
    // return {
    // 	notifications,
    // 	notificationCount
    // }
  },
});
</script>

<style lang="scss" scoped>
.list {
  &-width {
    min-width: 200px;
    max-width: 350px;
  }
}
.q-btn {
  border-radius: 50px !important;
  padding: 5px !important;
}
.q-badge {
  background-color: $brand-1 !important;
  border-radius: 50px !important;
}
</style>
